org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class GroupSideEffectStepV3d0<S,K,V,R>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,S>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SideEffectStep<S>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupSideEffectStepV3d0<S,K,V,R>

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator<Traverser.Admin<S>>, Step<S,S>, ByModulating, Generating<Map<K,Collection<V>>,Map<K,R>>, SideEffectCapable<Map<K,Collection<V>>,Map<K,R>>, TraversalParent

  Deprecated.

      @Deprecated
      public final class GroupSideEffectStepV3d0<S,K,V,R>
      extends SideEffectStep<S>
      implements SideEffectCapable<Map<K,Collection<V>>,Map<K,R>>, TraversalParent, ByModulating

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupSideEffectStepV3d0(Traversal.Admin traversal, String sideEffectKey)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `GroupSideEffectStepV3d0<S,K,V,R>` | `clone()` Deprecated. Cloning is used to duplicate steps for the purpose of traversal optimization and OLTP replication.
    `Map<K,R>` | `generateFinalResult(Map<K,Collection<V>> valueMap)` Deprecated. Post-process the side-effect and return the post-processed side-effect.
    `<A,B> List<Traversal.Admin<A,B>>` | `getLocalChildren()` Deprecated.
    `Set<TraverserRequirement>` | `getRequirements()` Deprecated. Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly.
    `String` | `getSideEffectKey()` Deprecated. The side-effect key of the step.
    `int` | `hashCode()` Deprecated.
    `void` | `modulateBy(Traversal.Admin<?,?> kvrTraversal)` Deprecated.
    `void` | `setTraversal(Traversal.Admin<?,?> parentTraversal)` Deprecated. Set the `Traversal` that this step is contained within.
    `protected void` | `sideEffect(Traverser.Admin<S> traverser)` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SideEffectStep

      `processNextStart`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, equals, getId, getLabels, getNextStep, getPreviousStep, getTraversal, hasNext, next, removeLabel, reset, setId, setNextStep, setPreviousStep`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.TraversalParent

      `addGlobalChild, addLocalChild, asStep, close, getGlobalChildren, getSelfAndChildRequirements, integrateChild, removeGlobalChild, removeLocalChild`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.ByModulating

      `modulateBy, modulateBy, modulateBy, modulateBy, modulateBy, modulateBy, modulateBy, modulateBy, modulateBy, modulateBy, modulateBy`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### GroupSideEffectStepV3d0

          public GroupSideEffectStepV3d0(Traversal.Admin traversal,
                                         String sideEffectKey)

      Deprecated.

  - ### Method Detail

    - #### sideEffect

          protected void sideEffect(Traverser.Admin<S> traverser)

      Deprecated.
      Specified by:
        `sideEffect` in class `SideEffectStep<S>`

    - #### getSideEffectKey

          public String getSideEffectKey()

      Deprecated.
      Description copied from interface: `SideEffectCapable`
      The side-effect key of the step.
      Specified by:
        `getSideEffectKey` in interface `SideEffectCapable<Map<K,Collection<V>>,Map<K,R>>`
      Returns:
        the side-effect key

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `AbstractStep<S,S>`

    - #### generateFinalResult

          public Map<K,R> generateFinalResult(Map<K,Collection<V>> valueMap)

      Deprecated.
      Description copied from interface: `Generating`
      Post-process the side-effect and return the post-processed side-effect. The default implementation is simply the identity function and returns the argument.
      Specified by:
        `generateFinalResult` in interface `Generating<Map<K,Collection<V>>,Map<K,R>>`
      Parameters:
        `valueMap` - the pre-processed side-effect.
      Returns:
        the post-processed side-effect.

    - #### getLocalChildren

          public <A,B> List<Traversal.Admin<A,B>> getLocalChildren()

      Deprecated.
      Specified by:
        `getLocalChildren` in interface `TraversalParent`

    - #### modulateBy

          public void modulateBy(Traversal.Admin<?,?> kvrTraversal)

      Deprecated.
      Specified by:
        `modulateBy` in interface `ByModulating`

    - #### getRequirements

          public Set<TraverserRequirement> getRequirements()

      Deprecated.
      Description copied from interface: `Step`
      Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly. The provided default implements returns an empty set.
      Specified by:
        `getRequirements` in interface `Step<S,S>`
      Returns:
        the set of requirements

    - #### clone

          public GroupSideEffectStepV3d0<S,K,V,R> clone()

      Deprecated.
      Description copied from interface: `Step`
      Cloning is used to duplicate steps for the purpose of traversal optimization and OLTP replication. When cloning a step, it is important that the steps, the cloned step is equivalent to the state of the step when reset() is called. Moreover, the previous and next steps should be set to `EmptyStep`.
      Specified by:
        `clone` in interface `Step<S,S>`
      Overrides:
        `clone` in class `AbstractStep<S,S>`
      Returns:
        The cloned step

    - #### setTraversal

          public void setTraversal(Traversal.Admin<?,?> parentTraversal)

      Deprecated.
      Description copied from interface: `Step`
      Set the `Traversal` that this step is contained within.
      Specified by:
        `setTraversal` in interface `Step<S,S>`
      Overrides:
        `setTraversal` in class `AbstractStep<S,S>`
      Parameters:
        `parentTraversal` - the new traversal for this step

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `AbstractStep<S,S>`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.